Bug 1294730 - Review Request: erlang-p1_pgsql - Pure Erlang PostgreSQL driver
Review Request: erlang-p1_pgsql - Pure Erlang PostgreSQL driver
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1204119
  Show dependency treegraph
 
Reported: 2015-12-29 22:29 EST by Randy Barlow
Modified: 2016-02-07 12:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-07 12:17:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jeremy: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2015-12-29 22:29:14 EST
Spec URL: https://rbarlow.fedorapeople.org/erlang-p1_pgsql.spec
SRPM URL: https://rbarlow.fedorapeople.org/erlang-p1_pgsql-0-1.20150428gite72c03c6.fc24.src.rpm
Description: This is an Erlang PostgreSQL driver, used by ejabberd.
Fedora Account System Username: rbarlow

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12347561

There are three warnings from rpmlint:

Checking: erlang-p1_pgsql-0-1.20150428gite72c03c6.fc24.noarch.rpm
          erlang-p1_pgsql-0-1.20150428gite72c03c6.fc24.src.rpm
erlang-p1_pgsql.noarch: W: only-non-binary-in-usr-lib
erlang-p1_pgsql.noarch: W: no-documentation
erlang-p1_pgsql.src:43: W: libdir-macro-in-noarch-package (main package) %{_libdir}/erlang/lib/%{srcname}-%{version}
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

I believe we can ignore these warnings. It is Erlang packaging convention to include all Erlang pacakges in %{_libdir}/erlang, and not all Erlang packages have binaries (like this one):

https://fedoraproject.org/wiki/User:Peter/Erlang_Packaging_Guidelines#Debug_symbols_.2F_source_installation_.2F_dialyzer

Additionally, the upstream git repository does not contain any documentation for this package.
Comment 1 Randy Barlow 2016-01-05 00:52:54 EST
I have made a new revision of this package, which is intended to be a rename of erlang-pgsql.

Spec URL: https://rbarlow.fedorapeople.org/erlang-p1_pgsql.spec
SRPM URL: https://rbarlow.fedorapeople.org/erlang-p1_pgsql-0-15.20150428gite72c03c6.fc24.src.rpm
Comment 2 Upstream Release Monitoring 2016-01-05 00:56:38 EST
rbarlow's scratch build of erlang-p1_pgsql-0-15.20150428gite72c03c6.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12414009
Comment 3 Randy Barlow 2016-01-05 01:09:32 EST
Here is the rpmlint output for the new revision:

Checking: erlang-p1_pgsql-0-15.20150428gite72c03c6.fc24.x86_64.rpm
          erlang-p1_pgsql-0-15.20150428gite72c03c6.fc24.src.rpm
erlang-p1_pgsql.x86_64: E: no-binary
erlang-p1_pgsql.x86_64: W: only-non-binary-in-usr-lib
erlang-p1_pgsql.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 2 warnings.

The error can be ignored for the same reason as I mentioned above - Erlang packages should go into %{_libdir} by convention, and should not be noarch packages.
Comment 4 Randy Barlow 2016-01-05 01:11:57 EST
One thing to note: Though this is the same source code as erlang-pgsql (though a later version), it does not install to exactly the same location. The other package installs to %{_libdir}/erlang/lib/pgsql and this one installs to %{_libdir}/erlang/lib/p1_pgsql. That is why this package is needed, as ejabberd does not detect the other package as its dependency.
Comment 5 Upstream Release Monitoring 2016-01-06 21:59:28 EST
rbarlow's scratch build of erlang-p1_pgsql-0-15.20150428gite72c03c6.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12442099
Comment 6 Jeremy Cline 2016-02-04 22:02:09 EST
Note that since you packaged this there has been a new release upstream.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "MPL (v1.0)". 1 files have unknown
     license. Detailed output of licensecheck in /home/jcline/devel/fedora-
     review/1294730-erlang-p1_pgsql/licensecheck.txt
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: erlang-p1_pgsql-0-15.20150428gite72c03c6.fc24.x86_64.rpm
          erlang-p1_pgsql-0-15.20150428gite72c03c6.fc24.src.rpm
erlang-p1_pgsql.x86_64: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
erlang-p1_pgsql.x86_64: E: no-binary
erlang-p1_pgsql.x86_64: W: only-non-binary-in-usr-lib
erlang-p1_pgsql.x86_64: W: no-documentation
erlang-p1_pgsql.src: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
2 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
erlang-p1_pgsql.x86_64: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
erlang-p1_pgsql.x86_64: E: no-binary
erlang-p1_pgsql.x86_64: W: only-non-binary-in-usr-lib
erlang-p1_pgsql.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 1 errors, 3 warnings.



Requires
--------
erlang-p1_pgsql (rpmlib, GLIBC filtered):
    erlang-erts



Provides
--------
erlang-p1_pgsql:
    erlang-p1_pgsql
    erlang-p1_pgsql(x86-64)
    erlang-pgsql



Source checksums
----------------
https://github.com/processone/pgsql/archive/e72c03c60bfcb56bbb5d259342021d9cb3581dac.tar.gz :
  CHECKSUM(SHA256) this package     : cbb42896ee42f202235f414bf46396df17cd851a83cefcf7c4dd319dac46d111
  CHECKSUM(SHA256) upstream package : cbb42896ee42f202235f414bf46396df17cd851a83cefcf7c4dd319dac46d111


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1294730
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 Gwyn Ciesla 2016-02-05 16:12:48 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/erlang-p1_pgsql

Note You need to log in before you can comment on or make changes to this bug.